package com.bpcl.lpg.core.jalo;

import java.util.Collections;
import java.util.HashMap;
import de.hybris.platform.jalo.SessionContext;
import de.hybris.platform.jalo.Item;
import java.util.Map;
import de.hybris.platform.directpersistence.annotation.SLDSafe;
import de.hybris.platform.jalo.GenericItem;

@SLDSafe
public class Easysecs extends GenericItem
{
    public static final String KEY = "key";
    public static final String SECRET = "secret";
    protected static final Map<String, Item.AttributeMode> DEFAULT_INITIAL_ATTRIBUTES;
    
    protected Map<String, Item.AttributeMode> getDefaultAttributeModes() {
        return Easysecs.DEFAULT_INITIAL_ATTRIBUTES;
    }
    
    public String getKey(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "key".intern());
    }
    
    public String getKey() {
        return this.getKey(this.getSession().getSessionContext());
    }
    
    public void setKey(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "key".intern(), (Object)value);
    }
    
    public void setKey(final String value) {
        this.setKey(this.getSession().getSessionContext(), value);
    }
    
    public String getSecret(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "secret".intern());
    }
    
    public String getSecret() {
        return this.getSecret(this.getSession().getSessionContext());
    }
    
    public void setSecret(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "secret".intern(), (Object)value);
    }
    
    public void setSecret(final String value) {
        this.setSecret(this.getSession().getSessionContext(), value);
    }
    
    static {
        final Map<String, Item.AttributeMode> tmp = new HashMap<String, Item.AttributeMode>();
        tmp.put("key", Item.AttributeMode.INITIAL);
        tmp.put("secret", Item.AttributeMode.INITIAL);
        DEFAULT_INITIAL_ATTRIBUTES = Collections.unmodifiableMap((Map<? extends String, ? extends Item.AttributeMode>)tmp);
    }
}
